import { ButtonProps as MuiButtonProps } from '@mui/material/Button';
import { PaletteColors } from 'src/typings';
type Variant = 'primary' | 'secondary' | 'tertiary' | 'text' | 'link' | 'nav';
type OmitMuiButtonWrapperProps = Omit<MuiButtonProps, 'color' | 'variant'>;
export interface ButtonWrapperProps extends OmitMuiButtonWrapperProps {
    variant?: Variant;
    color?: PaletteColors;
}
export interface ButtonProps extends MuiButtonProps {
    customVariant?: Variant;
    customColor?: PaletteColors;
}
declare function Button({ children, variant, size, color, ...props }: ButtonWrapperProps): import("react/jsx-runtime").JSX.Element;
export default Button;
