/// <reference types="react" />
import * as react_jsx_runtime from 'react/jsx-runtime';
import { ButtonProps as ButtonProps$1 } from '@mui/material/Button';
import { PaletteColors as PaletteColors$1 } from 'src/typings';
import { BoxProps as BoxProps$1 } from '@mui/material/Box';
import { TypographyProps as TypographyProps$1 } from '@mui/material/Typography';
import * as _mui_material from '@mui/material';
import { PaletteOptions } from '@mui/material';
import { PaletteColorOptions } from '@mui/material/styles';
export { StyledEngineProvider, ThemeProvider, useTheme } from '@mui/material/styles';
import React from 'react';

type Variant = 'primary' | 'secondary' | 'tertiary' | 'text' | 'link' | 'nav';
type OmitMuiButtonWrapperProps = Omit<ButtonProps$1, 'color' | 'variant'>;
interface ButtonWrapperProps extends OmitMuiButtonWrapperProps {
    variant?: Variant;
    color?: PaletteColors$1;
}
interface ButtonProps extends ButtonProps$1 {
    customVariant?: Variant;
    customColor?: PaletteColors$1;
}
declare function Button({ children, variant, size, color, ...props }: ButtonWrapperProps): react_jsx_runtime.JSX.Element;

type BoxProps = BoxProps$1;
declare const Box: (props: BoxProps) => JSX.Element;

type FontWeightVariant = 'regular' | 'medium' | 'semiBold' | 'bold';
declare const fontWeightMapping: Record<FontWeightVariant, number>;
interface TypographyProps extends TypographyProps$1 {
    /**
     * @default 'regular'
     */
    weight: FontWeightVariant;
}
declare const Typography: ({ children, ...props }: TypographyProps) => JSX.Element;

declare const ui: {
    blue: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    green: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    yellow: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    red: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    gray: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    coolGray: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    white: {
        500: string;
    };
};

declare const collage: {
    red: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    yellow: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    orange: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    violet: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
    teal: {
        50: string;
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
    };
};

declare enum PaletteColors {
    collageRed = "collageRed",
    collageViolet = "collageViolet",
    collageOrange = "collageOrange",
    collageTeal = "collageTeal",
    collageYellow = "collageYellow",
    uiBlue = "uiBlue",
    uiCoolGray = "uiCoolGray",
    uiWhite = "uiWhite",
    uiGray = "uiGray",
    uiGreen = "uiGreen",
    uiYellow = "uiYellow",
    uiRed = "uiRed"
}

declare module '@mui/material/styles' {
    interface CustomPaletteColor {
        50?: string;
        100?: string;
        200?: string;
        300?: string;
        400?: string;
        500?: string;
        600?: string;
        700?: string;
        900?: string;
    }
    type CustomPaletteColorOption = PaletteColorOptions & CustomPaletteColor;
    interface CustomPalette {
        collageRed: CustomPaletteColorOption;
        collageYellow: CustomPaletteColorOption;
        collageOrange: CustomPaletteColorOption;
        collageViolet: CustomPaletteColorOption;
        collageTeal: CustomPaletteColorOption;
        uiGray: CustomPaletteColorOption;
        uiWhite: CustomPaletteColorOption;
        uiBlue: CustomPaletteColorOption;
        uiCoolGray: CustomPaletteColorOption;
    }
    interface CustomPaletteOptions {
        collageRed?: CustomPaletteColorOption;
        collageYellow?: CustomPaletteColorOption;
        collageOrange?: CustomPaletteColorOption;
        collageViolet?: CustomPaletteColorOption;
        collageTeal?: CustomPaletteColorOption;
        uiGray?: CustomPaletteColorOption;
        uiWhite?: CustomPaletteColorOption;
        uiBlue?: CustomPaletteColorOption;
        uiCoolGray?: CustomPaletteColorOption;
    }
    interface PaletteOptions extends PaletteOptions, CustomPaletteOptions {
    }
    interface TypographyVariants {
        b1: React.CSSProperties;
        b2: React.CSSProperties;
        b3: React.CSSProperties;
        caption: React.CSSProperties;
    }
    interface TypographyVariantsOptions {
        b1?: React.CSSProperties;
        b2?: React.CSSProperties;
        b3?: React.CSSProperties;
        caption?: React.CSSProperties;
    }
    interface ButtonVariants {
        primary: string;
        secondary: string;
        tertiary: string;
        link: string;
        nav: string;
        text: string;
    }
    interface ButtonPropsVariantOverrides {
        primary: string;
        secondary: string;
        tertiary: string;
        link: string;
        nav: string;
        text: string;
    }
}
declare module '@mui/material/Typography' {
    interface TypographyPropsVariantOverrides {
        b1: true;
        b2: true;
        b3: true;
        caption: true;
        h4: false;
        h5: false;
        h6: false;
        subtitle1: false;
        subtitle2: false;
        body1: false;
        body2: false;
        button: false;
        overline: false;
        poster: false;
    }
}
declare module '@mui/material/Button' {
    interface ButtonPropsVariantOverrides {
        primary: true;
        secondary: true;
        filled: false;
        contained: false;
        text: true;
    }
    interface ButtonPropsColorOverrides {
        basic: false;
        info: false;
        success: false;
        secondary: false;
        inherit: false;
    }
}

interface ColorRecord {
    [shade: string]: string;
}
interface Palette {
    [key: string]: ColorRecord;
}
declare const palette: PaletteOptions;
declare const theme: _mui_material.Theme;

export { Box, BoxProps, Button, ButtonProps, ButtonWrapperProps, ColorRecord, Palette, PaletteColors, Typography, TypographyProps, collage, fontWeightMapping, palette, theme, ui };
